Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.olapi.metadata.mtm
Class MtmValueHierarchyMap

    java.lang.Object
      |
      +--oracle.olapi.metadata.BaseMetadataObject
            |
            +--oracle.olapi.metadata.mtm.MtmObject
                  |
                  +--oracle.olapi.metadata.mtm.MtmSourceMap
                        |
                        +--oracle.olapi.metadata.mtm.MtmDimensionMap
                              |
                              +--oracle.olapi.metadata.mtm.MtmSubDimensionMap
                                    |
                                    +--oracle.olapi.metadata.mtm.MtmHierarchyMap
                                          |
                                          +--oracle.olapi.metadata.mtm.MtmValueHierarchyMap

Direct Known Subclasses:
  MtmValueLevelHierarchyMap

public abstract class MtmValueHierarchyMap
extends MtmHierarchyMap

An `MtmHierarchyMap` for an `MdmValueHierarchy`. Even though an `MdmValueHierarchy` has no levels, it is stored in a level-based form. Therefore, it needs an `MtmLevelHierarchyMap` to record its mapping information.

Method Summary
`void` | `addOrderSpecification(MtmDimensionOrderSpecification orderSpec)` Adds the `MtmDimensionOrderSpecification` object to this `MtmValueHierarchyMap`.
`java.util.List` | `getOrderSpecifications()` Gets the `MtmDimensionOrderSpecification` object or objects for this `MtmValueHierarchyMap`.
`void` | `removeOrderSpecification(MtmDimensionOrderSpecification orderSpec)` Removes the `MtmDimensionOrderSpecification` object from this `MtmValueHierarchyMap`.

Methods inherited from class oracle.olapi.metadata.mtm.MtmSourceMap
`getMdmSource, setMdmSource`

Methods inherited from class oracle.olapi.metadata.mtm.MtmObject
`acceptVisitor`

Methods inherited from class oracle.olapi.metadata.BaseMetadataObject
`getID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getOrderSpecifications

    public java.util.List getOrderSpecifications()

  Gets the `MtmDimensionOrderSpecification` object or objects for this `MtmValueHierarchyMap`.
  Returns:
    A `List` of zero or more `MtmDimensionOrderSpecification` objects for this `MtmValueHierarchyMap`.

### addOrderSpecification

    public void addOrderSpecification(MtmDimensionOrderSpecification orderSpec)

  Adds the `MtmDimensionOrderSpecification` object to this `MtmValueHierarchyMap`.
  Parameters:
    `orderSpec` - The `MtmDimensionOrderSpecification` object that is to be added to this `MtmValueHierarchyMap`.

### removeOrderSpecification

    public void removeOrderSpecification(MtmDimensionOrderSpecification orderSpec)

  Removes the `MtmDimensionOrderSpecification` object from this `MtmValueHierarchyMap`.
  Parameters:
    `orderSpec` - The `MtmDimensionOrderSpecification` object that is to be removed from this `MtmValueHierarchyMap`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2005, Oracle. All rights reserved.